unit Z19_1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, ImgList;

type
  TVSTextControl = class(TForm)
    stbStatus: TStatusBar;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Label1: TLabel;
    Button1: TButton;
    opdOpen: TOpenDialog;
    opdSelect: TOpenDialog;
    Label2: TLabel;
    Edit2: TEdit;
    Button2: TButton;
    Label3: TLabel;
    Edit3: TEdit;
    Button3: TButton;
    opdDict: TOpenDialog;
    Button4: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    Dictonary: TStrings;
  end;

var
  VSTextControl: TVSTextControl;

implementation

uses Z19_3;

{$R *.DFM}

procedure TVSTextControl.FormShow(Sender: TObject);
begin
  stbStatus.SimpleText := 'Natm vstupn data... ekejte prosm';
  Dictonary.LoadFromFile('Dict.txt');
  stbStatus.SimpleText := '';
  if ParamCount <> 0 then with TVSControlForm.Create(Application) do begin
    InputFile := ParamStr(1);
    OutPutFile := ParamStr(2);
    Dictonary := UpperCase(Self.Dictonary.Text);
    Run;
    Application.ShowMainForm := False;
  end;
end;

procedure TVSTextControl.FormCreate(Sender: TObject);
begin
  Dictonary := TStringList.Create;
end;

procedure TVSTextControl.FormDestroy(Sender: TObject);
begin
  Dictonary.Free;
end;

procedure TVSTextControl.Button1Click(Sender: TObject);
begin
  if opdOpen.Execute then Edit1.Text := opdOpen.FileName;
end;

procedure TVSTextControl.Button2Click(Sender: TObject);
begin
  if opdSelect.Execute then Edit2.Text := opdSelect.FileName;
end;

procedure TVSTextControl.Button3Click(Sender: TObject);
begin
  if opdDict.Execute then begin
    Edit3.Text := opdDict.FileName;
    Dictonary.LoadFromFile(Edit3.Text);
  end;
end;

procedure TVSTextControl.Button4Click(Sender: TObject);
begin
  with TVSControlForm.Create(Application) do begin
    InputFile := Self.Edit1.Text;
    OutputFile := Self.Edit2.Text;
    Self.Dictonary.LoadFromFile(Edit3.Text);
    Dictonary := UpperCase(Self.Dictonary.Text);
    DictFile := Edit3.Text;
    Run;
  end;
end;

end.
