unit Z19_3;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, Z19_2;

type
  TVSControlForm = class(TForm)
    lblInputName: TLabel;
    Label1: TLabel;
    pgbProgress: TProgressBar;
    lblProgress: TLabel;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  protected
    procedure Completed(Sender: TObject);
  public
    InputFile, OutputFile, Dictonary, DictFile: string;
    ControlThread: TController;
    procedure Run;
  end;

var
  VSControlForm: TVSControlForm;

implementation

{$R *.DFM}

procedure TVSControlForm.FormCreate(Sender: TObject);
begin
  ControlThread := TController.Create(True);
  ControlThread.OnTerminate := Completed;
  ControlThread.Parent := Self;
  ControlThread.InputText := TStringList.Create;
end;

procedure TVSControlForm.FormDestroy(Sender: TObject);
var
  S: TStrings;
begin
  S := TStringList.Create;
  S.Text := ControlThread.OutputText;
  S.SaveToFile(OutputFile);
  s.Text := ControlThread.Dictonary;
  S.saveToFile(DictFIle);
  s.free;
  ControlThread.InputText.Free;
  ControlThread.Free;
end;

procedure TVSControlForm.Run;
begin
  Show;
  ControlThread.InputText.LoadFromFile(InputFile);
  ControlThread.Dictonary := Dictonary;
  ControlThread.Resume;
end;

procedure TVSControlForm.FormShow(Sender: TObject);
begin
  lblInputName.Caption := InputFile;
end;

procedure TVSControlForm.Completed;
begin
  if Application.ShowMainForm then
    Free
  else
    Application.Terminate;
end;

procedure TVSControlForm.Button1Click(Sender: TObject);
begin
  if ControlThread.Suspended then
    ControlThread.Resume;
  ControlThread.Terminate;
end;

end.
